<?php
ob_start();
require_once './configs/webconfig.php';
require_once './utility/common_model.php';
require_once './controller/admin_controller.php';
$MyPdodb = new MyPDO();	
		$MyPdodb->setAttribute(PDO::ATTR_STATEMENT_CLASS, array('MyPDOStatement'));		
		
		
		$sql = "SELECT * from hi_members where status = '1' order by familyno asc"; 		
		$stm  = $MyPdodb->prepare($sql);      		
		$stm->execute(array($start,$limit));
		$results = $stm->fetchAll(PDO::FETCH_CLASS);
				
						
				$exportData = $results;
				$i=0;
if(count($exportData)> 0) {?>
<table cellpadding="0" cellspacing="3" style="font-size: 14px;font-family: verdana; border: 1px solid black; table-layout: fixed; width: 600px; height:900px">
<?php  for ($i=0; $i<count($exportData); $i+=3) { ?>
<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>
<tr>
	<td align="left" valign="top" style="border: 1px dotted; width:298px; height:115px; padding:10px;"><?php
		echo "<strong>JPC ID NO: </strong>".$exportData[$i]->familyno."<br>";
		//echo $exportData[$i]->fullname."<br>";
		$fullname = $exportData[$i]->fullname;
		if(strlen($fullname) > 35){
			$words = explode(' ', $fullname);
			$chunks = array_chunk($words, 2);
			$chunks = array_map(function($arr) { return implode(' ', $arr); }, $chunks);
			$fullname = implode('<br>', $chunks);
		}
		echo $fullname."<br>";
		echo "<strong>MEMBERS:</strong> ".$exportData[$i]->nooffamilymembers."<br>";
		$add1 = $exportData[$i]->address1;
		$add1_length = strlen($add1);
		$add2 = $exportData[$i]->address2;
		$add2_length = strlen($add2);
		if($add1_length > 25){
			$add_1 = substr($add1,0,25);
			$add_2 = substr($add1,25,25);
			$add_3 = substr($add1,50,25);			
			$add_4 = substr($add1,75,$add1_length);			
			$address1 = $add_1."<br>".$add_2;
			if(!empty($add_3)){$address1 .= "<br>".$add_3;}
			if(!empty($add_4)){$address1 .= "<br>".$add_4;}
		}else{
			$address1 = $add1;
		}
		if($add2_length > 25){
			$add2_1 = substr($add2,0,25);
			$add2_2 = substr($add2,25,25);
			$add2_3 = substr($add2,50,25);	
			$add2_4 = substr($add2,75,$add2_length);					
			$address2 = $add2_1."<br>".$add2_2;
			if(!empty($add2_3)){$address2 .= "<br>".$add2_3;}
			if(!empty($add2_4)){$address2 .= "<br>".$add2_4;}
		}else{
			$address2 = $add2;
		}
		
		$words = explode(' ', $add1);
		$chunks = array_chunk($words, 4);
		$chunks = array_map(function($arr) { return implode(' ', $arr); }, $chunks);
		$add1 = implode('<br>', $chunks);
		
		$words = explode(' ', $add2);
		$chunks = array_chunk($words, 4);
		$chunks = array_map(function($arr) { return implode(' ', $arr); }, $chunks);
		$add2 = implode('<br>', $chunks);
		
		$address1 = $add1;
		$address2 = $add2;
		echo $address1."<br>".$address2."<br>".$exportData[$i]->area."<br>";
		echo $exportData[$i]->city.", ";
		echo $exportData[$i]->mobile;
    ?></td>    
    <td align="left" valign="top" style="border: 1px dotted; width:298px; height:115px; padding:10px;"><?php
		echo "<strong>JPC ID NO: </strong>".$exportData[$i+1]->familyno."<br>";
		$fullname = $exportData[$i+1]->fullname;
		if(strlen($fullname) > 35){
			$words = explode(' ', $fullname);
			$chunks = array_chunk($words, 2);
			$chunks = array_map(function($arr) { return implode(' ', $arr); }, $chunks);
			$fullname = implode('<br>', $chunks);
		}
		echo $fullname."<br>";
		echo "<strong>MEMBERS:</strong> ".$exportData[$i+1]->nooffamilymembers."<br>";
		$add1 = $exportData[$i+1]->address1;
		$add1_length = strlen($add1);
		$add2 = $exportData[$i+1]->address2;
		$add2_length = strlen($add2);
		if($add1_length > 25){
			$add_1 = substr($add1,0,25);
			$add_2 = substr($add1,25,25);
			$add_3 = substr($add1,50,25);			
			$add_4 = substr($add1,75,$add1_length);			
			$address1 = $add_1."<br>".$add_2;
			if(!empty($add_3)){$address1 .= "<br>".$add_3;}
			if(!empty($add_4)){$address1 .= "<br>".$add_4;}
		}else{
			$address1 = $add1;
		}
		if($add2_length > 25){
			$add2_1 = substr($add2,0,25);
			$add2_2 = substr($add2,25,25);
			$add2_3 = substr($add2,50,25);			
			$add2_4 = substr($add2,75,$add2_length);					
			$address2 = $add2_1."<br>".$add2_2;
			if(!empty($add2_3)){$address2 .= "<br>".$add2_3;}
			if(!empty($add2_4)){$address2 .= "<br>".$add2_4;}
		}else{
			$address2 = $add2;
		}
		
		$words = explode(' ', $add1);
		$chunks = array_chunk($words, 4);
		$chunks = array_map(function($arr) { return implode(' ', $arr); }, $chunks);
		$add1 = implode('<br>', $chunks);
		
		$words = explode(' ', $add2);
		$chunks = array_chunk($words, 4);
		$chunks = array_map(function($arr) { return implode(' ', $arr); }, $chunks);
		$add2 = implode('<br>', $chunks);
		
		$address1 = $add1;
		$address2 = $add2;
		echo $address1."<br>".$address2."<br>".$exportData[$i]->area."<br>";
		echo $exportData[$i+1]->city.", ";
		echo $exportData[$i+1]->mobile;
    ?></td>    
    <td align="left" valign="top" style="border: 1px dotted; width:298px;  height:115px; padding:10px;"><?php
		echo "<strong>JPC ID NO: </strong>".$exportData[$i+2]->familyno."<br>";
		$fullname = $exportData[$i+2]->fullname;
		if(strlen($fullname) > 35){
			$words = explode(' ', $fullname);
			$chunks = array_chunk($words, 2);
			$chunks = array_map(function($arr) { return implode(' ', $arr); }, $chunks);
			$fullname = implode('<br>', $chunks);
		}
		echo $fullname."<br>";
		echo "<strong>MEMBERS:</strong> ".$exportData[$i+2]->nooffamilymembers."<br>";
		$add1 = $exportData[$i+2]->address1;
		$add1_length = strlen($add1);
		$add2 = $exportData[$i+2]->address2;
		$add2_length = strlen($add2);
		if($add1_length > 25){
			$add_1 = substr($add1,0,25);
			$add_2 = substr($add1,25,25);
			$add_3 = substr($add1,50,25);			
			$add_4 = substr($add1,75,$add1_length);			
			$address1 = $add_1."<br>".$add_2;
			if(!empty($add_3)){$address1 .= "<br>".$add_3;}
			if(!empty($add_4)){$address1 .= "<br>".$add_4;}
		}else{
			$address1 = $add1;
		}
		if($add2_length > 25){
			$add2_1 = substr($add2,0,25);
			$add2_2 = substr($add2,25,25);
			$add2_3 = substr($add2,50,25);			
			$add2_4 = substr($add2,75,$add2_length);					
			$address2 = $add2_1."<br>".$add2_2;
			if(!empty($add2_3)){$address2 .= "<br>".$add2_3;}
			if(!empty($add2_4)){$address2 .= "<br>".$add2_4;}
		}else{
			$address2 = $add2;
		}
		
		$words = explode(' ', $add1);
		$chunks = array_chunk($words, 4);
		$chunks = array_map(function($arr) { return implode(' ', $arr); }, $chunks);
		$add1 = implode('<br>', $chunks);
		
		$words = explode(' ', $add2);
		$chunks = array_chunk($words, 4);
		$chunks = array_map(function($arr) { return implode(' ', $arr); }, $chunks);
		$add2 = implode('<br>', $chunks);
		$address1 = $add1;
		$address2 = $add2;
		echo $address1."<br>".$address2."<br>".$exportData[$i]->area."<br>";
		echo $exportData[$i+2]->city.", ";
		echo $exportData[$i+2]->mobile;
    ?></td>    
</tr>
<?php }?>
</table>
<?php }else{ ?>No records found.<?php } ?>                  
<?php
$filename = "JPCMemberLabelList-".date("dmY").".xls";
header( "Content-Type: application/vnd.ms-excel" );
header("Content-Disposition: attachment; filename=$filename");
header("Pragma: no-cache");
header("Expires: 0");
ob_flush();
?>